> For the complete documentation index, see [llms.txt](https://docs.flxbl.io/flxbl/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flxbl.io/flxbl/sfp/validating-a-change/controlling-validation-attributes-of-a-package/skip-coverage-validation.md).

# Skip Coverage Validation

| Attribute                  | Type    | Description                                     | Package Types Applicable                                                              |
| -------------------------- | ------- | ----------------------------------------------- | ------------------------------------------------------------------------------------- |
| **skipCoverageValidation** | boolean | Skip apex test coverage validation of a package | <ul><li>unlocked</li><li>org-dependent unlocked</li><li>source</li><li>diff</li></ul> |

sfp during validation checks the apex test coverage of a package depending on the [package type](/flxbl/sfp/concepts/supported-package-types.md). This is beneficial so that you dont run into any coverage issues while deploying into higher environments or building an unlocked package. \\

However, there could be situations where the test coverage calculation is flaky , sfp provides you with an option to turn the coverage validation off.

<pre class="language-json"><code class="lang-json">// Demonstrating how to do use skipCoverageValidation
{
  "packageDirectories": [
    {
      "path": "core-crm",
      "package": "core-crm",
      "versionDescription": "Package containing core schema and classes",
      "versionNumber": "4.7.0.NEXT",
      <a data-footnote-ref href="#user-content-fn-1">"skipCoverageValidation": true</a>
    },
     ...
   ]
}
</code></pre>

[^1]: Skip coverage validation of a package


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flxbl.io/flxbl/sfp/validating-a-change/controlling-validation-attributes-of-a-package/skip-coverage-validation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
